macOS High Sierra

macOS High Sierra

Apple released High Sierra on September 25, 2017.

We are currently testing High Sierra for compatibility with applications supported by the College.  At this time, the following incompatibilities have been identified:

  • Microsoft Office 2011 - we encourage you to request an upgrade to Microsoft Office 2016
  • ScreenFlow 5 (6.2.3 has been tested by the vendor and confirmed to work)
  • Filemaker 11
  • Photoshop CC 2017 and earlier - Adobe strongly recommends updating to Photoshop CC 2017 prior to updating to High Sierra
  • Lightroom Classic CC 7.0 and Lightroom CC 2015.12/Lightroom 6.12 - Known issue
  • Illustrator CC 2017 and earlier - Known issues
  • InDesign  CC 2017 or earlier - Known issues
  • After Effects CC (October 2017 release) - Known issues
  • Cisco AnyConnect 4.4x - Users must enable the AnyConnect software extension in their macOS Preferences Security & Privacy pane. A reboot may be required after manually approving the AnyConnect extension.

If you wish to upgrade your computer to High Sierra, please check Apple's website for more information. If you use highly specialized Academic software or have installed unique personal software, please verify with the vendor that it is compatible with High Sierra before upgrading, or contact LTS for assistance with this.

Before upgrading, we strongly recommend that you perform a backup of all your data.

We will continue to update this page with known incompatibilities.

Please contact the LTS Help Desk with any questions.